FreshPorts -- The Place For Ports If you buy from Amazon USA, please support us by using this link.
Follow us
Blog
Twitter

Port details
samba41 Free SMB/CIFS and AD/DC server and client for Unix
4.1.22_2 net Deleted on this many watch lists=13 search for ports that depend on this port This port version is marked as vulnerable. Find issues related to this port Report an issue related to this port
Deprecated DEPRECATED: not supported by the upstream
Expired This port expired on: 2016-03-01
Maintainer: timur@FreeBSD.org search for ports maintained by this maintainer
Port Added: 13 Jan 2014 23:31:04
License: GPLv3
Samba4 is an attempt to implement an Active Directory compatible Domain
Controller.

In short, you can join a WinNT, Win2000, WinXP or Win2003 member server
to a Samba4 domain, and it will behave much as it does in AD, including
Kerberos domain logins where applicable.

WWW: http://www.samba.org/
SVNWeb : Homepage : PortsMon

No installation instructions: this port has been deleted.

The package name of this deleted port was:

PKGNAME: samba41


NOTE: FreshPorts displays only information on required and default dependencies. Optional dependencies are not covered.

Build dependencies:
  1. p5-Parse-Pidl>=4.0.0 : devel/p5-Parse-Pidl
  2. py27-dnspython>=1.9.4 : dns/py-dnspython
  3. ntdb>=1.0 : databases/ntdb
  4. talloc>=2.1.5 : devel/talloc
  5. tevent>=0.9.25 : devel/tevent
  6. tdb>=1.3.8 : databases/tdb
  7. ldb>=1.1.24 : databases/ldb
  8. pkgconf : devel/pkgconf
  9. python2.7 : lang/python27
  10. python2 : lang/python2
  11. perl5>=5.20<5.21 : lang/perl5.20
Runtime dependencies:
  1. py27-dnspython>=1.9.4 : dns/py-dnspython
  2. ntdb>=1.0 : databases/ntdb
  3. talloc>=2.1.5 : devel/talloc
  4. tevent>=0.9.25 : devel/tevent
  5. tdb>=1.3.8 : databases/tdb
  6. ldb>=1.1.24 : databases/ldb
  7. python2.7 : lang/python27
  8. python2 : lang/python2
Library dependencies:
  1. libpopt.so : devel/popt
  2. libinotify.so : devel/libinotify
  3. libsasl2.so : security/cyrus-sasl2
  4. libgcrypt.so : security/libgcrypt
  5. libgnutls.so : security/gnutls
  6. libsunacl.so : sysutils/libsunacl
  7. libsunacl.so : sysutils/libsunacl
  8. libiconv.so : converters/libiconv
  9. libfam.so.0 : devel/gamin
  10. libldap-2.4.so.2 : net/openldap24-client
There are no ports dependent upon this port

Configuration Options
===> The following configuration options are available for samba41-4.1.22_2:
     ACL_SUPPORT=on: File system ACL support
     ADS=on: Active Directory client support
     AD_DC=on: Active Directory Domain Controller support
     AIO_SUPPORT=on: Asynchronous IO support
     CUPS=off: CUPS printing system support
     DEBUG=on: With debug information in the binaries
     DEVELOPER=off: With development support
     DNSUPDATE=on: Dynamic DNS update (requires ADS)
     DOCS=on: Build and/or install documentation
     EXP_MODULES=off: Experimental modules
     FAM=on: File Alteration Monitor support
     LDAP=on: LDAP client support
     MANPAGES=off: Build manpages from DOCBOOK templates
     PAM_SMBPASS=off: PAM authentication via passdb backends
     PTHREADPOOL=on: Pthread pool
     QUOTAS=on: Disk quota support
     SYSLOG=on: Syslog logging support
     UTMP=on: UTMP accounting support
====> Options available for the radio DNS: you can only select none or one of them
     NSUPDATE=off: Use samba NSUPDATE utility for AD DC
     BIND99=off: Use bind99 as AD DC DNS server frontend
     BIND910=off: Use bind910 as AD DC DNS server frontend
====> Options available for the radio ZEROCONF: you can only select none or one of them
     AVAHI=off: Zeroconf support via Avahi
     MDNSRESPONDER=off: Zeroconf support via mDNSResponder
===> Use 'make config' to modify these settings

USES:
cpe compiler waf pkgconfig perl5 python:2  execinfo readline iconv shebangfix fam

Master Sites:
  1. ftp://ca.samba.org/pub/samba/rc/
  2. ftp://ca.samba.org/pub/samba/stable/
  3. ftp://de.samba.org/pub/samba/rc/
  4. ftp://de.samba.org/pub/samba/stable/
  5. http://distcache.FreeBSD.org/ports-distfiles/
  6. http://ftp.samba.org/pub/samba/rc/
  7. http://ftp.samba.org/pub/samba/stable/
Notes from UPDATING
These upgrade notes are taken from /usr/ports/UPDATING
  • 2015-12-19
    Affects: users of net/samba4, net/samba41
    Author: timur@FreeBSD.org
    Reason: 
      Given version of Samba were marked as deprecated. Please, consider to upgrade.
    
      Samba4 was giving wrong builds with recent version of p5-Parse-Pidl. It was
      converted to use bundled version instead and to conflict with the given package.
      If you still intend to build net/samba4 - remove p5-Parse-Pidle first.
    
    
  • 2015-11-30
    Affects: users of net/samba4, net/samba41, net/samba42
    Author: timur@FreeBSD.org
    Reason: 
      Recent versions of devel/talloc, devel/tevent, database/tdb, database/ldb
      contained infinit recursive call to the strtol* set of replacement functions,
      which lead to coredumps. Unofficial patch was added meanwhile, but now
      official version of the fixed libs were released. If your version of
      net/samba4 works fine you don't need to recompile it. Other ports were also
      upgraded and some bugs were fixed in upstream.
    
    
  • 2014-01-13
    Affects: users of net/samba41
    Author: timur@FreeBSD.org
    Reason: 
      With the introduction of Samba 4.1 corresponding port lost SWAT support
      and made WINBIND support mandatory. As samba4 introduced additional 'samba'
      daemon to the tripplet of nmbd/smbd/winbindd to avoid confusion startup
      script for samba41 was renamed to 'samba_server'. To start the whole band
      up it's enough to add to the rc.conf:
    
      samba_server_enable="YES"
    
      Startup script tries it's best to guess which out of samba/nmbd/smbd/winbindd
      daemons have to be started, but you can fine tune this by specifying them in
      rc.conf, just make sure that samba_server_enable is enabled(see entry for 20121022).
    
    
Port Moves
  • port deleted on 2016-05-16
    REASON: Has expired: not supported by the upstream

Number of commits found: 42

Commit History - (may be incomplete: see SVNWeb link above for full details)
DateByDescription
16 May 2016 13:09:43
Original commit files touched by this commit  4.1.22_2
Revision:415323 This port version is marked as vulnerable.
rene search for other commits by this committer
Remove expired ports:
2016-03-01 net/samba41: not supported by the upstream
2016-04-01 net/samba-smbclient: not supported by the upstream
2016-04-01 net/samba-libsmbclient: not supported by the upstream
2016-04-01 net/samba-nmblookup: not supported by the upstream
2016-04-01 net/samba36: not supported by the upstream
01 Apr 2016 14:16:20
Original commit files touched by this commit  4.1.22_2
Revision:412348 This port version is marked as vulnerable.
mat search for other commits by this committer
Remove ${PORTSDIR}/ from dependencies, categories m, n, o, and p.

With hat:	portmgr
Sponsored by:	Absolight
27 Mar 2016 14:58:00
Original commit files touched by this commit  4.1.22_2
Revision:411990 This port version is marked as vulnerable.
tijl search for other commits by this committer
- Update security/gnutls to 3.4.10.
- Rename the LIBDANE option DANE because that's the name of the protocol
  supported by libgnutls-dane and gnutls-cli.  Also clarify the option
  description.
- Add an IDN option.
- libgnutls-openssl has been removed in 3.4.  Some ports used this library
  in their LIB_DEPENDS but no port actually required it.
- Some old API functions have been removed.  Ports that used these have been
  updated or patched to use the new API.
- Add a patch to print/cups to prevent overlinking of libgnutls.so.
- Bump PORTREVISION on dependent ports.

net-im/jabber: This port used the old API to give users fine grained
control over which crypto algorithms were used via a configuration file.
It's not immediately obvious how to port this to the new API so the port
always uses the defaults now.

www/hydra: Mark BROKEN.  This uses more removed calls than the other ports,
is said to be alpha quality and not fully functional and has been abandoned
10 years ago.

PR:		207768
Exp-run by:	antoine
Approved by:	portmgr (antoine)
11 Mar 2016 11:53:42
Original commit files touched by this commit  4.1.22_1
Revision:410825 This port version is marked as vulnerable.
tijl search for other commits by this committer
Combine print/cups-base, print/cups-client and print/cups-image into
print/cups and update it to 2.1.3.  Also remove print/cups-pstoraster,
improve print/cups-filters, print/foomatic-* and update print/hplip to
3.16.2.

Long description:

First some background.  When you hand a file to cups it sets up a chain of
filter programs that converts the file to something a printer understands.
Each filter has a cost associated with it and cups tries to find the
cheapest chain.  Costs used to be configured in such a way that files were
first converted to PostScript.  This could then be manipulated further (e.g.
putting multiple pages on one sheet) before finally being sent to a
PostScript printer or another filter like pstoraster which produces a raster
format understood by non-PostScript printer drivers.  Nowadays most filters
(Only the first 15 lines of the commit message are shown above View all of this commit message)
21 Jan 2016 15:42:41
Original commit files touched by this commit  4.1.22
Revision:406862 This port version is marked as vulnerable.
pawel search for other commits by this committer
Remove deprecated @dirrm's from pkg-plist of samba ports.
Note that net/samba4 got it's PORTVERSION bumped as stage-qa found
one file not included in pkg-plist.

PR:		205950
Submitted by:	myself
Approved by:	maintainer timeout
19 Dec 2015 22:51:10
Original commit files touched by this commit  4.1.22
Revision:404031 This port version is marked as vulnerable.
timur search for other commits by this committer
A security fix release of Samba 4.1, 4.2 and 4.3. Samba 4.1 is also marked as
deprecated.

Security:	CVE-2015-3223
		CVE-2015-5252
		CVE-2015-5299
		CVE-2015-5296
		CVE-2015-8467
		CVE-2015-5330
30 Nov 2015 01:01:35
Original commit files touched by this commit  4.1.21
Revision:402641 This port version is marked as vulnerable.
timur search for other commits by this committer
Update Samba4* ports to the latest supplimentary libs and versions.
19 Oct 2015 14:50:52
Original commit files touched by this commit  4.1.18_1
Revision:399684 This port version is marked as vulnerable.
amdmi3 search for other commits by this committer
Improve shebangfix framework

- Support multiple values in *_OLD_CMD, i.e. we can now fix both
"/usr/bin/python" and "/usr/bin/env python" at the same time
- Default *_OLD_CMD values are now always appended, so you don't need to specify
them in individual ports
- Add lua support (depends on USES=lua)
- Add more default values, such as "/usr/bin/env foo" for python, perl, bash,
ruby and lua
- Shebangfix now matches whole words, e.g. we will no longer (erroneously)
replace "/usr/bin/perl5.005" with "${perl_CMD}5.005" (but "/usr/bin/perl -tt" is
still (correctly) replaced with "${perl_CMD} -tt")

Note that *_OLD_CMD items containing spaces must now be quoted (e.g.
perl_OLD_CMD=/bin/perl /usr/bin/perl "/usr/bin/env perl")

Update shebangfix usage according to new rules in many ports:

- Remove *_OLD_CMD for patterns now replaced by default
- Quote custom *_OLD_CMD which contain spaces

Fix shebangfix usage in many ports (irrelevant to infrastructure change):

- Remove redundant SHEBANG_LANG (no need to duplicate default langs)
- Remove redundant *_CMD (such as
python_CMD=${LOCALBASE}/bin/python${PYTHON_VER} when USES=python is present)
- Never use *_OLD_CMD in REINPLACE_CMD matchers, these should always look for
exact string

Approved by:	portmgr (bapt)
Differential Revision:	D3756
10 Oct 2015 14:03:01
Original commit files touched by this commit  4.1.18_1
Revision:398996 This port version is marked as vulnerable.
tijl search for other commits by this committer
Remove iconv(), iconv_open() and iconv_close() symbols from libiconv.

These were FreeBSD specific aliases for libiconv(), libiconv_open() and
libiconv_close() that are now also provided by libc which complicates
writing configure tests that work correctly when both libc iconv and
libiconv are available.

Also, because the libiconv iconv.h header redefines iconv* to libiconv*
correct use of the header implies that the aliases aren't used.

The following ports needed fixes because there was something wrong with
the way they tried to detect or use iconv:

audio/deadbeef: Remove LIBICONV_PLUG from a source file.  It's a
compile-time option and should not be set in source code.
(Only the first 15 lines of the commit message are shown above View all of this commit message)
08 Oct 2015 15:12:22
Original commit files touched by this commit  4.1.18
Revision:398833 This port version is marked as vulnerable.
olgeni search for other commits by this committer
Remove trailing whitespace from Makefiles, M-X.
29 Jul 2015 22:09:55
Original commit files touched by this commit  4.1.18
Revision:393196 This port version is marked as vulnerable.
antoine search for other commits by this committer
Switch default python_CMD used by shebangfix to ${PYTHON_CMD} for ports
using python

PR:		201077
Reviewed by:	mat
With hat:	portmgr
Differential Revision:	https://reviews.freebsd.org/D2955
25 Jun 2015 16:50:12
Original commit files touched by this commit  4.1.18
Revision:390586 This port version is marked as vulnerable.
antoine search for other commits by this committer
Remove USES=fakeroot, it hangs when building as a regular user and doesn't
seem necessary
20 May 2015 17:15:10
Original commit files touched by this commit  4.1.18
Revision:386869 This port version is marked as vulnerable.
timur search for other commits by this committer
Upgrade Samba41 port to 4.1.18.
14 May 2015 10:15:09
Original commit files touched by this commit  4.1.17
Revision:386312 This port version is marked as vulnerable.
mat search for other commits by this committer
MASTER_SITES cleanup.

- Replace ${MASTER_SITE_FOO} with FOO.
- Merge MASTER_SITE_SUBDIR into MASTER_SITES when possible. (This means 99.9%
  of the time.)
- Remove occurrences of MASTER_SITE_LOCAL when no subdirectory was present and
  no hint of what it should be was present.
- Fix some logic.
- And generally, make things more simple and easy to understand.

While there, add magic values to the FESTIVAL, GENTOO, GIMP, GNUPG, QT and
SAMBA macros.

Also, replace some EXTRACT_SUFX occurences with USES=tar:*.

Checked by:	make fetch-urlall-list
With hat:	portmgr
Sponsored by:	Absolight
08 Apr 2015 15:05:49
Original commit files touched by this commit  4.1.17
Revision:383571 This port version is marked as vulnerable.
bapt search for other commits by this committer
Add a new USES=waf to handle the waf building system, allowing to factorise code
Plug waf into MAKE_CMD and CONFIGURE_CMD so the regular defined targets can be
reused

Always define _MAKE_JOBS so that when bsd.port.mk will stop overwritting
_MAKE_JOBS when parallel jobs are disabled we can enforce -j1 (which is needed
to really disable parallelisation with waf

WAF_CMD has been created to allow one to override the location of the waf script
relatively to WRKSRC

CONFIGURE_TARGET is by default defined to "configure"
ALL_TARGET is by default defined to "build"
INSTALL_TARGET is by default defined to "install"

USES=waf is by default stagedir safe
03 Apr 2015 11:26:50
Original commit files touched by this commit  4.1.17
Revision:383107  Sanity Test Failure This port version is marked as vulnerable.
mat search for other commits by this committer
Remove OSVERSION checks that do not make sense any more.

For example (${OSVERSION} >= 900000 && ${OSVERSION} < 900021) is always true,
as is (${OSVERSION} > 900002 || ${OSVERSION} < 900000 && ${OSVERSION} > 800107).

Regarding patches, when an EXTRA_PATCHES is no longer needed, I remove it, when
it is always needed, I renamed it, in one case, I merged two patches.

Differential Revision:	https://reviews.freebsd.org/D2209
25 Mar 2015 23:51:06
Original commit files touched by this commit  4.1.17
Revision:382278 This port version is marked as vulnerable.
marino search for other commits by this committer
net category: Remove $PTHREAD_LIBS

openafs did not pass check-plist (pre-existing) so fixed and bumped.
Also, pkg-plist was sorted.  mediatomb and spread also fail plist-checks
but they weren't fixed.

approved by:	PTHREAD blanket
24 Feb 2015 20:44:11
Original commit files touched by this commit  4.1.17
Revision:379838 This port version is marked as vulnerable.
timur search for other commits by this committer
Update samba ports to address CVE-2015-0240

Security:	CVE-2015-0240
16 Jan 2015 03:54:22
Original commit files touched by this commit  4.1.16
Revision:377151 This port version is marked as vulnerable.
timur search for other commits by this committer
Update ports net/samba4 and net/samba41 to address recent security issue with
the elevation of privilege to ADDC.

Security:	CVE-2014-8143
03 Jan 2015 10:33:04
Original commit files touched by this commit  4.1.14_1
Revision:376112 This port version is marked as vulnerable.
danfe search for other commits by this committer
Minor net/samba* ports cleanups:

  - Drop leading article from COMMENT and use neutral spelling of Unix
  - Sort USES alphabetically and wrap it if necessary
  - Rename FAM_SUPPORT to standard option FAM, drop FAM_SUPPORT_DESC
  - Fix a typo in AIO_SUPPORT_DESC (Asyncronous -> Asynchronous)
  - Consistently reword PAM_SMBPASS option description
  - Kill one case of EOL whitespace and bogus uses of := operator

Approved by:	maintainer (timur; timeout since 2014.12.16)
02 Jan 2015 18:46:34
Original commit files touched by this commit  4.1.14_1
Revision:376062 This port version is marked as vulnerable.
pi search for other commits by this committer
security/libgcrypt: 1.6.1 -> 1.6.2, bump depends

Changes:
- src/sexp.c (do_vsexp_sscan): Return error for invalid args.
- cipher/md.c (_gcry_md_info): Fix a segv in case of calling
  with wrong parameters.
- cipher/primegen.c (_gcry_generate_elg_prime): Change to return an
  error code, possible NULL deref in call to prime generator.
- cipher/dsa.c (generate): Take care of new return code.
- cipher/elgamal.c (generate): Change to return an error code.  Take
	care of _gcry_generate_elg_prime return code.
- ecc: Support the non-standard 0x40 compression flag for EdDSA.
- mpi: Extend the internal mpi_get_buffer.
- mpi: Fix regression for powerpc-apple-darwin detection.
- Fix bug inhibiting the use of the sentinel attribute in src/gcrypt.h.in
(Only the first 15 lines of the commit message are shown above View all of this commit message)
16 Dec 2014 00:48:58
Original commit files touched by this commit  4.1.14
Revision:374781 This port version is marked as vulnerable.
timur search for other commits by this committer
Upgrade to the 4.1.14 version.
03 Nov 2014 22:53:25
Original commit files touched by this commit  4.1.13_1
Revision:372128 This port version is marked as vulnerable.
timur search for other commits by this committer
Fix an error in generation of the list of additional modules.

PR:		194548
20 Oct 2014 13:13:10
Original commit files touched by this commit  4.1.13
Revision:371268 This port version is marked as vulnerable.
timur search for other commits by this committer
Upgrade net/samba41 to 4.1.13 version

PR:		191439
		193416
		193734
		194046
08 Aug 2014 14:09:14
Original commit files touched by this commit  4.1.11
Revision:364363 This port version is marked as vulnerable.
timur search for other commits by this committer
Add CPE support on request of the security officer.
03 Aug 2014 18:35:58
Original commit files touched by this commit  4.1.11
Revision:363929 This port version is marked as vulnerable.
bdrewery search for other commits by this committer
- Fix plist

Reported on freenode
03 Aug 2014 00:43:22
Original commit files touched by this commit  4.1.11
Revision:363848 This port version is marked as vulnerable.
timur search for other commits by this committer
Upgrade ports to address CVE-2014-3560.

Security:	CVE-2014-3560
24 Jul 2014 18:34:16
Original commit files touched by this commit  4.1.9_2
Revision:362835 This port version is marked as vulnerable.
tijl search for other commits by this committer
net/openldap24-*:
- Convert to USES=libtool and bump dependent ports
- Avoid USE_AUTOTOOLS
- Don't use PTHREAD_LIBS
- Use MAKE_CMD

databases/glom:
- Drop :keepla
- Add INSTALL_TARGET=install-strip

databases/libgda4* databases/libgda5*:
- Convert to USES=libtool and bump dependent ports
- USES=tar:xz
- Use INSTALL_TARGET=install-strip
- Use @sample
(Only the first 15 lines of the commit message are shown above View all of this commit message)
23 Jul 2014 09:54:02
Original commit files touched by this commit  4.1.9_1
Revision:362645 This port version is marked as vulnerable.
tijl search for other commits by this committer
- Replace security/gnutls with security/gnutls3 and update to 3.2.15
- Bump PORTREVISION on all ports that depend on security/gnutls and
  adjust all ports that depend on security/gnutls3
- Update mail/anubis to version 4.2 which supports gnutls 3.x
- Update mail/libvmime to a development snapshot (recommended by upstream
  developers)

PR:		191274
Exp-run by:	antoine
Approved by:	portmgr (antoine)
14 Jul 2014 21:59:19
Original commit files touched by this commit  4.1.9
Revision:361837 This port version is marked as vulnerable.
adamw search for other commits by this committer
samba36:
	Add DOCS and EXAMPLES OPTIONS, and put the stuff in EXAMPLESDIR behind
PORTEXAMPLES.

samba4/samba41:
	Add DOCS OPTION, given that the port already tests for PORT_OPTIONS:MDOCS
23 Jun 2014 18:47:49
Original commit files touched by this commit  4.1.9
Revision:358993 This port version is marked as vulnerable.
timur search for other commits by this committer
Security update for Samba 3.6, 4.0 and 4.1.

PR:		190166
Security:	CVE-2014-0244
		CVE-2014-3493
		CVE-2014-0239
		CVE-2014-0178
03 Jun 2014 17:28:22
Original commit files touched by this commit  4.1.7
Revision:356384 This port version is marked as vulnerable.
sunpoet search for other commits by this committer
- Fix install/package failure when DOCS option is off

This was committed in r348216 and erroneously reverted in r351659.

PR:		ports/187124
Submitted by:	sunpoet (myself)
28 May 2014 15:34:24
Original commit files touched by this commit  4.1.7
Revision:355637 This port version is marked as vulnerable.
antoine search for other commits by this committer
Fix make checksum for devel/p5-Parse-Pidl

With hat:	portmgr
05 May 2014 09:45:37
Original commit files touched by this commit  4.1.7
Revision:352986 This port version is marked as vulnerable.
bapt search for other commits by this committer
Convert all :U to :tu and :L to :tl

Since FreeBSD 8.4 and FreeBSD 9.1 make(1) do support :tu and :tl as a
replacement for :U and :L (which has been marked as deprecated)

bmake which is the default on FreeBSD 10+ only support by default
:tu/:tl a hack has been added at the time to support :U and :L to ease
migration. This hack is now not necessary anymore

Note that this makes the ports tree incompatible with make(1) from
FreeBSD 8.3 or earlier

With hat:	portmgr
24 Apr 2014 21:00:29
Refresh Original commit files touched by this commit
Revision:352067
timur search for other commits by this committer
WANT_OPENLDAP_SASL seems conflicting with ldb and it's not confirmed yet(?)
that it's necessary.
21 Apr 2014 00:37:34
Original commit files touched by this commit  4.1.7
Revision:351662 This port version is marked as vulnerable.
timur search for other commits by this committer
Extra STAGEDIR in post-install stage.
20 Apr 2014 23:51:40
Original commit files touched by this commit  4.1.7
Revision:351659 This port version is marked as vulnerable.
timur search for other commits by this committer
New version 4.1.7 of Samba4.1 port.
14 Mar 2014 12:27:51
Original commit files touched by this commit  4.1.6
Revision:348216 This port version is marked as vulnerable.
sunpoet search for other commits by this committer
- Fix install/package failure when DOCS option is off

PR:		ports/187124
Submitted by:	sunpoet (myself)
Approved by:	maintainer (timeout, 14 days)
12 Mar 2014 01:07:30
Original commit files touched by this commit  4.1.6
Revision:347949 This port version is marked as vulnerable.
delphij search for other commits by this committer
Security update:

	net/samba36 -> 3.6.23
	net/samba4  -> 4.0.16
	net/samba41 -> 4.1.6

Security:	03e48bf5-a96d-11e3-a556-3c970e169bc2
02 Mar 2014 14:23:12
Original commit files touched by this commit  4.1.4_1
Revision:346766 This port version is marked as vulnerable.
sunpoet search for other commits by this committer
- Fix USE_PYTHON: resolve build failure for users with Python 3.x as default
python

PR:		ports/186797
Submitted by:	sunpoet (myself)
Approved by:	maintainer (timeout, 15 days)
17 Jan 2014 01:19:59
Original commit files touched by this commit  4.1.4_1
Revision:340005 This port version is marked as vulnerable.
timur search for other commits by this committer
Fixed(?) problem with the late enabling of USES+=fam.
13 Jan 2014 23:30:52
Original commit files touched by this commit  4.1.4
Revision:339645 This port version is marked as vulnerable.
timur search for other commits by this committer
Add new 4.1 branch of the Samba suite.

Sponsored by:	aliens

Number of commits found: 42

Login
User Login
Create account

Servers and bandwidth provided by
New York Internet, SuperNews, and RootBSD

This site
What is FreshPorts?
About the authors
Issues
FAQ
How big is it?
The latest upgrade!
Privacy
Forums
Blog
Contact

Search
Enter Keywords:
 
more...

Latest Vulnerabilities
chromiumMay 28
chromiumMay 28
chromiumMay 28
php55May 28
php55-gdMay 28
php55-pharMay 28
php56May 28
php56-gdMay 28
php70-gdMay 28
php70-intlMay 28
mediawiki123May 24
mediawiki124May 24
mediawiki125May 24
mediawiki126May 24
expat2May 20

9 vulnerabilities affecting 21 ports have been reported in the past 14 days

* - modified, not new

All vulnerabilities


Ports
Home
Categories
Deleted ports
Sanity Test Failures
Newsfeeds

Statistics
Graphs
NEW Graphs (Javascript)
Traffic

Calculated hourly:
Port count 26081
Broken 287
Deprecated 60
Ignore 552
Forbidden 0
Restricted 202
No CDROM 85
Vulnerable 52
Expired 17
Set to expire 48
Interactive 0
new 24 hours 7
new 48 hours14
new 7 days29
new fortnight76
new month124

Servers and bandwidth provided by
New York Internet, SuperNews, and RootBSD
Valid HTML, CSS, and RSS.
Copyright © 2000-2014 Dan Langille. All rights reserved.